Token.TokenSerializer (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class Token.TokenSerializer

    java.lang.Object
      org.apache.cassandra.dht.Token.TokenSerializer

All Implemented Interfaces:
  ISerializer<Token>

Enclosing class:
  Token<T>

    public static class Token.TokenSerializer

extends java.lang.Object
implements ISerializer<Token>

Constructor Summary
`Token.TokenSerializer()`

Method Summary
`Token` | `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`void` | `serialize(Token token, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.
`long` | `serializedSize(Token object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Token.TokenSerializer

    public Token.TokenSerializer()

Method Detail

### serialize

    public void serialize(Token token,
                          java.io.DataOutput dos)
                   throws java.io.IOException

  Description copied from interface: `ISerializer`
  Serialize the specified type into the specified DataOutput instance.

  Specified by:
    `serialize` in interface `ISerializer<Token>`
  Parameters:
    `token` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public Token deserialize(java.io.DataInput dis)
                      throws java.io.IOException

  Description copied from interface: `ISerializer`
  Deserialize from the specified DataInput instance.

  Specified by:
    `deserialize` in interface `ISerializer<Token>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(Token object)

  Specified by:
    `serializedSize` in interface `ISerializer<Token>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation